Skip to main content
GET
List brokers in brokerage firm

Authorizations

Authorization
string
header
required

Machine-to-machine clients use the OAuth 2.0 client credentials grant. Each tenant has its own authorization server: in the token URL below, replace tenant with your tenant identifier.

Headers

tenant
string
required

Your tenant identifier. Requests without it are rejected.

Path Parameters

brokerageFirmId
string
required

Brokerage firm id

Pattern: ^brokerage_firm(_test)?_[346789ABCDEFGHJKLMNPQRTUVWXYabcdefghijkmnpqrtwxyz]{21}$

Query Parameters

count
number
default:10

the number of items to return

page
number
default:1

the page to retrieve

Response

Paginated list of brokers.

data
object[]
required

the list of items in the page

pageInfo
object
required

the page info

totalCount
number
required

the total number of items

currentPage
number
required

the current page

totalPages
number
required

the total number of pages